Set partner invoice
Use this method to mark the partner invoice that the partner will pay. setProforma works in conjunction with setPaymentDetails and is a prerequisite for payProforma.
Call setProforma, then setPaymentDetails, and payProforma in this specific order to pay for a Partner Invoice.
You can pay only a single partner invoice at a time.
Request parameters
sessionID
Required (string)
Session identifier, output of the Login method. An exception is thrown if the values are incorrect.
proformaNumber
Required (string)
The unique number of the partner invoice associated with one or more orders.
Request sample
<?php
require ('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication
require ('PATH_TO_SET_PARTNER'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/Partner/00Set_partner
$proformaNumber = 'YOUR_PROFORMA_NUMBER';
$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'setProforma',
'params' => array($sessionID, $proformaNumber)
);
var_dump (callRPC((Object)$jsonRpcRequest,$host));Errors
INVALID_PARTNER
No partner is set.
PAYMENT_PROFORMA
You have to use setPaymentDetails first.
PAYMENT_PROFORMA
This is a paid partner invoice.
PAYMENT_ERROR
Authorization error.
Last updated
Was this helpful?